Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1205346 - (bartlett/umlwriter) Review Request: php-bartlett-umlwriter - Create UML class diagrams from your PHP source
Review Request: php-bartlett-umlwriter - Create UML class diagrams from your ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: andrewsville/php-token-reflection
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-24 14:10 EDT by Remi Collet
Modified: 2015-06-10 15:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-bartlett-umlwriter-1.0.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-04 16:10:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review.txt (8.07 KB, text/plain)
2015-05-21 15:20 EDT, Shawn Iwinski
no flags Details
phpcompatinfo.log (6.82 KB, text/plain)
2015-05-21 15:21 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-03-24 14:10:19 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/7203eb3b8a9d87446b3a8003fc600309c8506178/php/bartlett/php-bartlett-umlwriter/php-bartlett-umlwriter.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-bartlett-umlwriter-1.0.0-0.1.RC1.remi.src.rpm
Description: 
This tool wil generate UML class diagrams with all class,
interface and trait definitions in your PHP project.

* reverse-engine interchangeable (currently support Bartlett\Reflect
  and Andrewsville\TokenReflection)
* UML syntax processor interchangeable (currently support Graphviz
  and PlantUML)
* generates a class and its direct dependencies
* generates a namespace with all objects
* generates a full package with all namespaces and objects


Fedora Account System Username: remi

--

New optional dependency of phpreflect 3.0.0
As usually, I will clean EL-5 stuff after import.
Comment 4 Shawn Iwinski 2015-05-21 10:26:50 EDT
Bootstrap with_tests logic is reversed and fedora-review fails because of test php-composer(bartlett/php-reflect) >= 3.0 dependency
Comment 5 Remi Collet 2015-05-21 10:45:44 EDT
@Shawn sorry.

I think (in the specfile) is ok.
But uploaded srpm file have bootstrap = 0 (used for my build)

I just re-upload the .src.rpm in sync with latest .spec
Comment 6 Shawn Iwinski 2015-05-21 15:20:36 EDT
Created attachment 1028372 [details]
fedora-review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1205346
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Shawn Iwinski 2015-05-21 15:21:25 EDT
Created attachment 1028373 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.3
Comment 8 Shawn Iwinski 2015-05-21 15:22:59 EDT
[x]: Requires correct, justified where necessary.

     For completeness, from phpcompatinfo:
         Requires: php-spl

     Composer "bartlett/php-reflect": "3.0.*@dev" equates to
     >= 3.0.0 and <  3.1.0 but requires are:
         Requires: php-composer(bartlett/php-reflect) >= 3.0
         Requires: php-composer(bartlett/php-reflect) <  4
     I'm sure it will be fine based on semantic versioning rules but just a note.



No blockers.


===== APPROVED =====
Comment 9 Remi Collet 2015-05-22 00:49:25 EDT
About dep, works with 3.1.0 which is compatible with 3.0.x
Reported upstream as https://github.com/llaville/umlwriter/issues/3
But this is only in requires-dev, no version in suggest.
Comment 10 Remi Collet 2015-05-22 00:50:49 EDT
Thanks for the review

New Package SCM Request
=======================
Package Name: php-bartlett-umlwriter
Short Description: Create UML class diagrams from your PHP source
Upstream URL: https://github.com/llaville/umlwriter
Owners: remi
Branches: f21 f22 epel7
InitialCC:
Comment 11 Gwyn Ciesla 2015-05-22 08:48:35 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2015-05-22 13:47:40 EDT
php-bartlett-umlwriter-1.0.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-bartlett-umlwriter-1.0.0-2.el7
Comment 13 Fedora Update System 2015-05-22 13:47:46 EDT
php-bartlett-umlwriter-1.0.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-bartlett-umlwriter-1.0.0-2.fc22
Comment 14 Fedora Update System 2015-05-22 13:47:53 EDT
php-bartlett-umlwriter-1.0.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-bartlett-umlwriter-1.0.0-2.fc21
Comment 15 Fedora Update System 2015-05-25 23:28:26 EDT
php-bartlett-umlwriter-1.0.0-2.fc22 has been pushed to the Fedora 22 testing repository.
Comment 16 Fedora Update System 2015-06-04 16:10:25 EDT
php-bartlett-umlwriter-1.0.0-2.fc22 has been pushed to the Fedora 22 stable repository.
Comment 17 Fedora Update System 2015-06-04 16:15:29 EDT
php-bartlett-umlwriter-1.0.0-2.fc21 has been pushed to the Fedora 21 stable repository.
Comment 18 Fedora Update System 2015-06-10 15:17:52 EDT
php-bartlett-umlwriter-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.